RUBY?=ruby

syntax:
	${RUBY} -dcw -I./lib ./lib/Borges.rb

test: syntax
	${RUBY} -dw -I./lib ./lib/Borges/TestCase.rb

webtest: test syntax
	${RUBY} -w -I./lib -rBorges -rBorges/Test.rb ./lib/Borges/WEBrick.rb

all: syntax
	${RUBY} -I./lib ./lib/Borges/WEBrick.rb

objectbrowser: syntax
	${RUBY} -I./lib -I./data/examples/ruby/Borges/ ./data/examples/ruby/Borges/ObjectSpaceBrowser.rb

sushi: syntax
	${RUBY} -I./lib -I./data/examples/ruby/Borges/ ./data/examples/ruby/Borges/SushiNet.rb

doc: syntax
	rdoc -Thtml -x "setup.rb|extra|data" -o data/doc/ruby/Borges/RDoc -w 2 

install: test
	@echo "------------------------------------------------------------"
	@echo "--- Installing Borges"
	@echo "------------------------------------------------------------"
	@echo
	@echo "If you are installing from CVS, then RDoc has not been built."
	@echo "Run 'make rdoc' if you wish to have current RDoc installed."
	@echo
	@sleep 2
	./setup.rb config
	./setup.rb setup
	./setup.rb install

clean:
	rm -rf data/doc/ruby/Borges/RDoc .*.swp
	rm -f config.save InstalledFiles

